Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciTag

public interface SciTag
extends SciObject

`SciTag` interface provides a set of methods for accessing those RWI properties which are kept in a comment field as a JavaDoc-style "tag-value" pair. (Such propererties are called the user-defined RWI properties)

For example, the following comment field in a java file contains the name and the value of user-defined RWI property named "implements_from":

       /** @implements_from someInterface */

`SciTag` consists of two things: tag name and tag value.

A tag name is a string without spaces after the "at" sign (@).

A tag value is a string, sometimes an empty string (For boolean RWI properties. If there is a tag representing RWI boolean property then the value of this property is `true` even if the tag value is an empty string).

Author:
  TogetherSoft
See Also: RwiPropertyMap

Method Summary
`boolean` | `canSetName(String name)` Checks whether the specified string can be set as this `SciTag`'s name.
`boolean` | `canSetValue(String value)` Checks whether the specified string can be set as this `SciTag`'s value.
`String` | `getName()` Returns the string with the name of this `SciTag`.
`String` | `getValue()` Returns a string value of this `SciTag`.
`SciReference` | `getValueAsReference()` Returns the value of this `SciTag` as a reference to some `SciElement`.
`void` | `setName(String name)` Sets the name for this `SciTag`.
`void` | `setValue(String value)` Sets the value for this `SciTag`.

Methods inherited from interface com.togethersoft.openapi.sci.SciObject
`canCut, canDelete, canReplace, copy, cut, delete, getContainingFile, getContainingScope, getLanguage, getPositions, getText, getUserProperty, isReadOnly, replace, setUserProperty`

Method Detail

### canSetName

    public boolean canSetName(String name)

  Checks whether the specified string can be set as this `SciTag`'s name.
  Parameters:
    name - the string which needs to be set as this `SciTag`'s name
  Returns: `true` if the specified string can be set as this `SciTag`'s name, `false` otherwise

### canSetValue

    public boolean canSetValue(String value)

  Checks whether the specified string can be set as this `SciTag`'s value.
  Parameters:
    value - the string which needs to be set as this `SciTag`'s value
  Returns: `true` if the specified string can be set as this `SciTag`'s value, `false` otherwise

### getName

    public String getName()

  Returns the string with the name of this `SciTag`. It is the name of the corresponding RWI property.
  Returns: the string with the name of this `SciTag`

### getValue

    public String getValue()

  Returns a string value of this `SciTag`.
  Returns: a string value of this `SciTag`

### getValueAsReference

    public SciReference getValueAsReference()

  Returns the value of this `SciTag` as a reference to some `SciElement`. (Tag values can be references)
  Returns: the value of this `SciTag` as a reference

### setName

    public void setName(String name)

  Sets the name for this `SciTag`. It is the name of the corresponding RWI property.
  Parameters:
    name - the string with the name for this `SciTag`

### setValue

    public void setValue(String value)

  Sets the value for this `SciTag`.
  Parameters:
    value - the string containing the value for this `SciTag`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD